# Stock write-offs: Bimp API methods

URL: https://bimpsoft.com/en/help/developers/api-reference/write-off-of-inventories/

Bimp API methods for the “Stock write-offs” resource (`/org2/writeOffOfInventories/…`): 5 methods. Base URL: `https://app.bimpsoft.com`. All requests except login pass the company token in the `access-token` header — see [Getting started with the API](/en/help/developers/api-getting-started/).

| Method | What it does |
|---|---|
| [`POST /org2/writeOffOfInventories/api-read`](#api-read) | A request to obtain detailed information for a particular inventory write-off |
| [`POST /org2/writeOffOfInventories/api-readList`](#api-read-list) | A request to obtain a list of inventory write-offs |
| [`POST /org2/writeOffOfInventories/api-create`](#api-create) | A request to create an inventory write-off |
| [`POST /org2/writeOffOfInventories/api-update`](#api-update) | A request to update or add information to an existing inventory write-off |
| [`POST /org2/writeOffOfInventories/api-cancel`](#api-cancel) | Cancel an inventory write-off document |

## api-read

`POST /org2/writeOffOfInventories/api-read`

A request to obtain detailed information for a particular inventory write-off

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `uuid` | string (uuid) | yes |  |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string (uuid) |  |
| `organization` | string (uuid) | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
| `expenseItem` | string (uuid) | A unique identifier for the Expense Item, obtainable from the /expenseItems/api-readList request |
| `products` | object[] |  |
| `products[].nomenclature` | string (uuid) | A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request |
| `products[].warehouse` | string (uuid) | A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request |
| `products[].quantity` | number | The amount of items |
| `products[].project` | string (uuid) | A unique identifier for the Project, obtainable from the /project/api-readList request |
| `products[].lineOfBusiness` | string (uuid) | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request |
| `number` | string | The document's number. Use this field if you need to specify a custom number |
| `date` | string | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `comment` | string | An optional text field for any additional notes or comments related to the document |
| `responsible` | string (uuid) | A unique identifier for the Employee, obtainable from the /employee/api-readList request |
| `invoiceForCustomerPayment` | string (uuid) | A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForCustomerPayment/api-readList request |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/writeOffOfInventories/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
```

## api-readList

`POST /org2/writeOffOfInventories/api-readList`

A request to obtain a list of inventory write-offs

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `pagination` | object | yes | Pagination settings |
| `pagination.offset` | number | yes | Pagination offset |
| `pagination.count` | number | yes | Page size (row count) |
| `filters` | object |  | Filters for inventory write-off list |
| `filters.comment` | string |  | An optional text field for any additional notes or comments related to the document |
| `filters.expenseItems` | string (uuid)[] |  | A unique identifier for the Expense Item, obtainable from the /expenseItems/api-readList request |
| `filters.organization` | string (uuid)[] |  | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
| `filters.author` | string (uuid)[] |  | A unique identifier for the Author, obtainable from the /user/api-readList request |
| `filters.sum` | object[] |  | Sum range [min, max] |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `total` | number |  |
| `rows` | object[] |  |
| `rows[].uuid` | string (uuid) |  |
| `rows[].number` | string |  |
| `rows[].date` | string |  |
| `rows[].comment` | string |  |
| `rows[].organization` | string (uuid) |  |
| `rows[].author` | string (uuid) |  |
| `rows[].expenseItem` | string (uuid) |  |
| `rows[].sum` | number |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/writeOffOfInventories/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":20}}'
```

## api-create

`POST /org2/writeOffOfInventories/api-create`

A request to create an inventory write-off

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `organization` | string (uuid) | yes | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
| `expenseItem` | string (uuid) | yes | A unique identifier for the Expense Item, obtainable from the /expenseItems/api-readList request |
| `products` | object[] | yes |  |
| `products[].nomenclature` | string (uuid) | yes | A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request |
| `products[].warehouse` | string (uuid) | yes | A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request |
| `products[].quantity` | number | yes | The amount of items |
| `products[].project` | string (uuid) | yes | A unique identifier for the Project, obtainable from the /project/api-readList request |
| `products[].lineOfBusiness` | string (uuid) | yes | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request |
| `number` | string |  | The document's number. Use this field if you need to specify a custom number |
| `date` | string |  | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `comment` | string |  | An optional text field for any additional notes or comments related to the document |
| `responsible` | string (uuid) |  | A unique identifier for the Employee, obtainable from the /employee/api-readList request |
| `invoiceForCustomerPayment` | string (uuid) |  | A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForCustomerPayment/api-readList request |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/writeOffOfInventories/api-create' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"organization":"00000000-0000-0000-0000-000000000000","expenseItem":"00000000-0000-0000-0000-000000000000","products":[{}]}'
```

## api-update

`POST /org2/writeOffOfInventories/api-update`

A request to update or add information to an existing inventory write-off

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `uuid` | string (uuid) | yes |  |
| `organization` | string (uuid) | yes | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
| `expenseItem` | string (uuid) | yes | A unique identifier for the Expense Item, obtainable from the /expenseItems/api-readList request |
| `products` | object[] | yes |  |
| `products[].nomenclature` | string (uuid) | yes | A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request |
| `products[].warehouse` | string (uuid) | yes | A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request |
| `products[].quantity` | number | yes | The amount of items |
| `products[].project` | string (uuid) | yes | A unique identifier for the Project, obtainable from the /project/api-readList request |
| `products[].lineOfBusiness` | string (uuid) | yes | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request |
| `number` | string |  | The document's number. Use this field if you need to specify a custom number |
| `date` | string |  | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `comment` | string |  | An optional text field for any additional notes or comments related to the document |
| `responsible` | string (uuid) |  | A unique identifier for the Employee, obtainable from the /employee/api-readList request |
| `invoiceForCustomerPayment` | string (uuid) |  | A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForCustomerPayment/api-readList request |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/writeOffOfInventories/api-update' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000","organization":"00000000-0000-0000-0000-000000000000","expenseItem":"00000000-0000-0000-0000-000000000000","products":[{}]}'
```

## api-cancel

`POST /org2/writeOffOfInventories/api-cancel`

Cancel an inventory write-off document

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `uuid` | string (uuid) | yes | A unique uuid key for the inventory write-off document |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `success` | boolean (true) |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/writeOffOfInventories/api-cancel' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
```

Interactive documentation with a test request option: [https://app.bimpsoft.com/docs](https://app.bimpsoft.com/docs). The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.
